Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlCircle Class Reference

`#include <GlCircle.h>`

Inherits tlp::GlRegularPolygon.

Inheritance diagram for tlp::GlCircle:

[legend]
Collaboration diagram for tlp::GlCircle:

[legend]
List of all members.

## Detailed Description

General class used to render circles as GlEntity.

This class is a generic class to render circles as GlEntity.

## Public Member Functions

- GlCircle (const Coord &center=Coord(0, 0, 0), float radius=1., const Color &outlineColor=Color(255, 0, 0, 255), const Color &fillColor=Color(0, 0, 255, 255), bool filled=false, bool outlined=true, float startAngle=0.0, unsigned int segments=10)
- void set (const Coord &center, float radius, float startAngle)
- virtual const Color & fcolor (const unsigned int) const
- virtual Color & fcolor (const unsigned int)
- virtual const Color & ocolor (const unsigned int) const
- virtual Color & ocolor (const unsigned int)
- virtual void getXML (xmlNodePtr rootNode)

## Constructor & Destructor Documentation

tlp::GlCircle::GlCircle | ( | const Coord & | center = `Coord(0, 0, 0)`,
|  | float | radius = `1.`,
|  | const Color & | outlineColor = `Color(255, 0, 0, 255)`,
|  | const Color & | fillColor = `Color(0, 0, 255, 255)`,
|  | bool | filled = `false`,
|  | bool | outlined = `true`,
|  | float | startAngle = `0.0`,
|  | unsigned int | segments = `10`
| ) |

| Constructor

## Member Function Documentation

virtual Color& tlp::GlCircle::fcolor | ( | const unsigned int |  | ) | `[inline, virtual]`

| return the fill color of the circle (i parameter is not used) This is an overload of the GlPolygon function to dismiss its behavior. Reimplemented from tlp::GlAbstractPolygon.

virtual const Color& tlp::GlCircle::fcolor | ( | const unsigned int |  | ) | const`[inline, virtual]`

| return the fill color of the circle (i parameter is not used) This is an overload of the GlPolygon function to dismiss its behavior. Reimplemented from tlp::GlAbstractPolygon.

virtual void tlp::GlCircle::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to export data in XML Reimplemented from tlp::GlAbstractPolygon.

virtual Color& tlp::GlCircle::ocolor | ( | const unsigned int |  | ) | `[inline, virtual]`

| return the outline color of the circle (i parameter is not used) This is an overload of the GlPolygon function to dismiss its behavior. Reimplemented from tlp::GlAbstractPolygon.

virtual const Color& tlp::GlCircle::ocolor | ( | const unsigned int |  | ) | const`[inline, virtual]`

| return the outline color of the circle (i parameter is not used) This is an overload of the GlPolygon function to dismiss its behavior. Reimplemented from tlp::GlAbstractPolygon.

void tlp::GlCircle::set | ( | const Coord & | center,
|  | float | radius,
|  | float | startAngle
| ) |

| Write-acess Accessor to the center, the radius and the startAngle of the circle.

Tulip Software by LaBRI Visualization Team 2001 - 2010